## caddy 2.5.2

=== debian/changelog ===
caddy (2.5.2-3) unstable; urgency=medium

  * d/control: Add media-types to runtime deps
  * debian/: tidy up directory
  * d/patches: postrm: remove directories on purge (Closes: #1022260)

 -- Peymaneh <peymaneh@posteo.net>  Thu, 29 Dec 2022 15:05:36 +0100

caddy (2.5.2-2) unstable; urgency=medium

  * d/patches: Disable TestETags test

 -- Peymaneh <peymaneh@posteo.net>  Wed, 21 Dec 2022 12:26:49 +0100

caddy (2.5.2-1) unstable; urgency=medium

  * Upload to unstable
    * Vendor relevant protobuf and genproto libraries
    * Vendor cel-go
    * Update d/readme.source
  * New upstream version 2.5.2 (Closes: #1021587)
  * d/control:
    * Bump Standards-Version
    * Update dependencies
  * d/rules:
    * Import post/pre-rm/inst scripts (Closes: #1014694)
    * simplify fetching of build number
  * d/patches:
    * Temporarily disable tracing module
    * do not run 'chown- R' in postinst
  * d/tests/: add autopkgtest for caddy cli
  * Multiple small changes to please lintian

 -- Peymaneh <peymaneh@posteo.net>  Sat, 17 Dec 2022 15:43:08 +0100

caddy (2.4.6-2) experimental; urgency=medium

  [ Peymaneh ]
  * d/control;d/copyright: update maintainer info
  * d/control: relax dependencies

  [ Nilesh Patra ]
  * Remove myself from uploaders
  * d/lintian-overrides: Remove overrides that are real problems

 -- Peymaneh <peymaneh@posteo.net>  Sat, 02 Apr 2022 15:52:44 +0530

caddy (2.4.6-1) experimental; urgency=medium

  * Initial release (Closes: #810890)

 -- Peymaneh Nejad <p.nejad@posteo.de>  Sun, 21 Nov 2021 15:56:25 +0000
