## caddy 2.6.2

=== debian/changelog ===
caddy (2.6.2-5) unstable; urgency=high

  * d/caddy.install: Fix location for systemd files (Closes: #1034221)

 -- Peymaneh <peymaneh@posteo.net>  Mon, 17 Apr 2023 15:11:12 +0200

caddy (2.6.2-4) unstable; urgency=medium

  * d/rules: enable CGO, use common hardening flags
  * d/patches: reproducible manpage time stamps
  * d/control: Add missing dependency

 -- Peymaneh <peymaneh@posteo.net>  Sun, 15 Jan 2023 22:06:16 +0100

caddy (2.6.2-3) unstable; urgency=medium

  * d/rules: remove unused compilerflag

 -- Peymaneh <peymaneh@posteo.net>  Sat, 14 Jan 2023 00:14:51 +0100

caddy (2.6.2-2) unstable; urgency=medium

  * d/rules: Hardening

 -- Peymaneh <peymaneh@posteo.net>  Fri, 13 Jan 2023 22:34:49 +0100

caddy (2.6.2-1) unstable; urgency=medium

  * New upstream version 2.6.2
  * Adjust patches to upstream changes
  * d/rules: Adjust ldflags for including version string
  * d/missing-sources: Update vendored cel-go to 0.12.5
  * d/caddy.install: update
  * Generate shell completion scripts at build time
  * Generate manpages at build time
  * Override false positive lintian warning
  * d/TODO: Update

 -- Peymaneh <peymaneh@posteo.net>  Mon, 02 Jan 2023 22:07:56 +0100
