=== debian/control ===
Source: caddy
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Peymaneh <peymaneh@posteo.net>
Section: httpd
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-masterminds-sprig-dev,
               golang-github-alecthomas-chroma-dev,
               golang-github-aryann-difflib-dev,
               golang-github-caddyserver-certmagic-dev (>= 0.16.0~),
               golang-github-go-chi-chi-dev,
               golang-github-google-uuid-dev,
               golang-github-lucas-clemente-quic-go-dev,
               golang-github-klauspost-compress-dev,
               golang-github-klauspost-cpuid-dev (>= 2.0.6),
               golang-github-mholt-acmez-dev,
               golang-github-naoina-toml-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-smallstep-certificates-dev (>= 0.19.0~),
               golang-github-smallstep-cli-dev,
               golang-github-smallstep-nosql-dev,
               golang-github-smallstep-truststore-dev,
               golang-github-spf13-cobra-dev,
               golang-github-tailscale-tscert-dev,
               golang-github-yuin-goldmark-dev,
               golang-github-yuin-goldmark-highlighting-dev,
               golang-go.uber-zap-dev,
               golang-golang-x-crypto-dev,
               golang-golang-x-net-dev,
               golang-golang-x-term-dev,
               golang-google-protobuf-dev,
               golang-gopkg-natefinch-lumberjack.v2-dev,
               golang-gopkg-yaml.v2-dev,
               golang-opentelemetry-otel-dev,
               golang-github-antlr-antlr4-dev (>=4.11.1~),
               golang-glog-dev,
               golang-golang-x-text-dev,
               golang-github-stoewer-go-strcase-dev,
Standards-Version: 4.6.1.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/caddy
Vcs-Git: https://salsa.debian.org/go-team/packages/caddy.git
Homepage: https://github.com/caddyserver/caddy
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/caddyserver/caddy/v2

Package: caddy
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libnss3-tools,
         media-types,
Built-Using: ${misc:Built-Using}
Description: Fast, lightweight web server with automatic HTTPS
 Caddy is a multi purpose web server written in Go.
 .
 Features:
  - Easy configuration
  - Automatic HTTPS by default
     - ZeroSSL and Let's Encrypt for public names
     - Fully-managed local CA for internal names & IPs
     - Can coordinate with other Caddy instances in a cluster
     - Multi-issuer fallback
  - HTTP/1.1, HTTP/2, and experimental HTTP/3 support
