=== debian/rules ===
--- 
+++ 
@@ -1,14 +1,14 @@
 #!/usr/bin/make -f
 
 #export DH_VERBOSE := 1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DH_GOPKG := github.com/caddyserver/caddy/v2
 export DH_GOLANG_INSTALL_EXTRA := caddytest
 export DH_GOLANG_EXCLUDES := integration tracing
-export CGO_ENABLED := 0
 export BUILDDIR := build
 
 include /usr/share/dpkg/pkg-info.mk
-LDFLAGS := -ldflags '-X $(DH_GOPKG)/cmd.version=$(DEB_VERSION_UPSTREAM)'
+LDFLAGS := -ldflags '-X $(DH_GOPKG).CustomVersion=$(DEB_VERSION_UPSTREAM) -X $(DH_GOPKG)/cmd.CustomDate="$(SOURCE_DATE_EPOCH)"'
 
 %:
 	dh $@ --builddirectory=$(BUILDDIR) --buildsystem=golang --with=golang
@@ -32,8 +32,11 @@
 	cp -a dist/scripts/postremove.sh debian/caddy.postrm
 	cp -a dist/scripts/preremove.sh debian/caddy.prerm
 	dh_auto_install -- --no-source
-
-override_dh_install:
-	dh_install
-	mv debian/caddy/usr/share/bash-completion/completions/bash-completion \
-	    debian/caddy/usr/share/bash-completion/completions/caddy
+	#generate shell completions
+	mkdir -p debian/generated/completions
+	debian/caddy/usr/bin/caddy completion bash > debian/generated/completions/caddy
+	debian/caddy/usr/bin/caddy completion zsh > debian/generated/completions/_caddy
+	debian/caddy/usr/bin/caddy completion fish > debian/generated/completions/caddy.fish
+	#generate manpage
+	mkdir -p debian/generated/manpages
+	debian/caddy/usr/bin/caddy manpage --directory debian/generated/manpages
